## Photoproduction

Interactions involving one or two photons, either in photon-photon or photon-hadron collision or photons emitted from lepton beams. Includes both direct and resolved contributions and also soft QCD and MPIs for events with resolved photons. Only (quasi-)real photons are considered so virtuality of the photons is restricted. The PDF set for resolved photons is selected in the PDF selection. This page describes some of the special features related to these collisions and introduces the relevant parameters.

### Types of photon processes

Photons can be either resolved or act as point-like particles (direct). Therefore for a photon-photon interaction there are four different contributions, resolved-resolved, resolved-direct, direct-resolved and direct-direct. In case of photon-hadron collisions there are two contributions. With the default value of the parameter below, a mix of relevant contributions is generated but each process type can also be generated individually. Note that for photon-hadron collisions the code for direct contribution depends on which of the beams is photon. The sample main program `main343.cc` demonstrates different possibilities.

`mode` Photon:ProcessType (`default = 0`; `minimum = 0`; `maximum = 4`)
Sets desired contribution for interactions with one or two photons.
`option` 0 : Mix of relevant contributions below.
`option` 1 : Resolved-Resolved: Both colliding photons are resolved and the partonic content is given by the PDFs. Hard processes and non-diffractive events can be generated.
`option` 2 : Resolved-Direct: Photon A is resolved and photon B unresolved, i.e. act as an initiator for the hard process. Hard processes with a parton and a photon in the initial state can be generated. In case of photon-hadron collision this provides the direct contribution when hadron is beam A and photon beam B.
`option` 3 : Direct-Resolved: As above but now photon A is unresolved and photon B resolved. Direct contribution of photon-hadron when photon beam A.
`option` 4 : Direct-Direct: Both photons are unresolved. Hard processes with two photon initiators can be generated.

The type of the generated process can be obtained from Info class with method `int Info::photonMode()` which follows the conventions above.

### Resolved photon

Photons can either interact directly as an unresolved particle or as a hadronic state ("Vector Meson Dominance"). In the latter case the hard process can be simulated using PDFs to describe the partonic structure of the resolved photon. The evolution equations for photons include an additional term that corresponds to gamma → q qbar splittings. Due to this, the PDFs are somewhat different for photons than for hadrons and some parts of event generation need special attention.

#### Process-level generation

Due to the additional term in the evolution equations the quarks in a resolved photon may carry a very large fraction (x~1) of the photon momentum. In these cases it may happen that, after the hard process, there is no energy left to construct the beam remnants. This is true especially if a heavy quark is taken out from the beam and a corresponding massive antiquark needs to be added to the remnant system to conserve flavour. Even though these events are allowed based on the PDFs alone, they are not physical and should be rejected. Therefore some amount of errors can be expected when generating events close to the edge of phase space, e.g. when collision energy is low.

#### Spacelike showers

The parton showers are generated according to the DGLAP evolution equations. Due to the gamma → q qbar splitting in the photon evolution, a few modifications are needed for the ISR algorithm.

- The additional term corresponds to a possibility to find the original beam photon during the backwards evolution, which is added to the QED part of the spacelike shower evolution. If this splitting happens there is no need to construct the beam remnants for the given beam.
- The heavy quark production threshold with photon beams is handled in a similar manner as for hadrons, but now the splitting that is forced to happen is gamma → Q Qbar.
- As the splittings in backwards evolution increases the x of the parton taken from the beam, the splittings can lead to a situation where there is no room left for massive beam remnants. To make sure that the required remnants can be constructed, splittings that would not leave room for the beam remnants are not allowed.

#### MPIs with photon beams

Multiparton interactions with resolved photon beams are generated as with hadron beams. The only difference follows again from the additional gamma → q qbar splittings where the beam photon becomes unresolved. If this splitting happens during the interleaved evolution for either of the photon beams no further MPIs below the branching scale pT are allowed since the photon is not resolved anymore.

If there have been multiple interactions and a gamma → q qbar splitting occur, the kinematics of this branching are not constructed in the spacelike shower. Instead the pT scale of the branching is stored and the relevant momenta are then fixed in the beam remnant handling. Therefore the status codes for the partons related to this splitting actually refer to beam remnants.

If there are no MPIs before the gamma → q qbar splitting, this splitting is constructed in the spacelike shower in the usual way, but the mother beam photon is not added to the event record, since a copy of it already exists at the top of the event record. This is unlike the documentation of other ISR splittings, where the mother of the branching is shown, but consistent with the photon not being added (a second time) for events that contain several MPIs. Optionally the photon can be shown, using the following flag.

`flag` Photon:showUnres (`default = off`)
Show the evolution steps of the beam photon in the event record, if on.

Based on comparisons with charged hadron production in photon-photon collision data from LEP, the default MPI parametrization tuned to proton-(anti)proton collisions produces too much hadrons from the additional interactions. Such differences are not surprising, given that the photon is less hadron-like than the proton, e.g. with less well developed PDFs, leaving less room for MPIs. Therefore a different parametrization for pT0(eCM) is used in case of photon-photon collisions, where the default values are tuned to the LEP data (a reference to this study will be added later). By default, a logarithmic dependence on eCM is used.
Note: These parameters override the choices made in Multiparton Interactions when photon-photon collisions are generated.

`mode` PhotonPhoton:pT0parametrization (`default = 1`; `minimum = 0`; `maximum = 1`)
Choice of pT0 parametrization. See Multiparton Interactions for further details.
`option` 0 : Power law in eCM.
`option` 1 : Logarithmic in eCM.

`parm` PhotonPhoton:ecmRef (`default = 100.0`; `minimum = 1.`)
The ecmRef reference energy scale.

`parm` PhotonPhoton:pT0Ref (`default = 1.52`; `minimum = 0.5`; `maximum = 10.0`)
The value of pT0 at the reference energy scale.

`parm` PhotonPhoton:ecmPow (`default = 0.413`; `minimum = 0.0`; `maximum = 0.5`)
The ecmPow energy rescaling pace.

Alternatively, or in combination, a sharp cut can be used.

`parm` PhotonPhoton:pTmin (`default = 0.2`; `minimum = 0.1`; `maximum = 10.0`)
More details in Multiparton Interactions.

A similar study for photon-hadron collisions will follow, current recommendation is to use value pT0Ref = 3.0 GeV set in Multiparton Interactions page.

The total cross section for photon-photon collisions is paramerized as in [Sch97]. Approximate diffractive cross sections have been defined according to the assumed VMD contribution.

#### Beam Remnants

To construct the beam remnants, one should know whether the parton taken from the beam is a valence parton or not. The valence partons of a photon includes the partons that originate from gamma → q qbar splittings of the original beam photon and the valence partons from the hadron-like part of the PDF. In either case, the flavour of the valence quarks can fluctuate. Unfortunately the decomposition to the different components are typically not provided in the PDF sets and some further assumptions are needed to decide the valence content.

When ISR is applied for photon beams it is possible to end up to the original beam photon during the evolution. Therefore there are three possibilities for the remnants:

- Remnants need to be constructed for both beams.
- Remnants are constructed only for one side.
- No need for remnants on either side.

The last case is the simplest as all the partons in the event are already generated by the parton showers. In the first case the remnants and primordial kT are constructed similarly as for normal hadronic interactions [Sjo04]. For the second case the momenta of the remnant partons can not be balanced between the two beams as the kinematics of the other side are already fixed. In these cases the momenta are balanced between the scattered system and the remnants.

Since the primordial kT increases the invariant mass of the remnants and the scattered system, it may again happen that there is no room for the remnant partons after kT is added, so the kinematics can not be constructed. In this case new values for kT are sampled. If this does not work, a new shower is generated and in some rare cases the parton-level generation fails and the hard process is rejected. The inclusion of additional MPIs increases the invariant mass of the remnants and takes more momentum from the beam particles. Even though the MPIs that would not leave enough room for the remnants are rejected, these can still lead to a situation where the kinematics cannot be constructed due to the added primordial kT. This may cause some amount of errors especially when the invariant mass of gamma-gamma system is small.

### Photons from lepton or hadron beams

Interaction of photons from leptons, including photon-photon interactions in lepton-lepton collisions and photon-hadron ones in lepton-hadron collisions, can be set up as described in PDF selection. It is also possible to consider photons from proton beams. Since the current framework can handle only (quasi-)real photons, an upper limit needs to be set for the photon virtuality. This can be done with the parameter `Photon:Q2max`. The upper virtuality limit will also set the upper limit for the k_T of the photon, which in turn will be the same as the k_T of the scattered lepton. Also some other cuts can be imposed.

`parm` Photon:Q2max (`default = 1.0`; `maximum = 2.0`)
Upper limit for (quasi-)real photon virtuality in GeV^2. Too low a value might cause problems, e.g. if the lower Q^2 limit derived from kinematics becomes larger than the upper limit.

`parm` Photon:Wmin (`default = 10.0`; `minimum = 5.0`)
Lower limit for invariant mass of gamma-gamma or photon-hadron system in GeV.

`parm` Photon:Wmax (`default = -1.0`)
Upper limit for invariant mass of gamma-gamma (gamma-hadron) system in GeV. A value below `Photon:Wmin` means that the invariant mass of the original system (lepton+lepton, lepton+hadron or hadron+hadron) is used as an upper limit.

`parm` Photon:thetaAMax (`default = -1.0`; `maximum = 3.141593`)
Upper limit for scattering angle of scattered beam particle on side A in rad. A negative value means that no cut is applied. Since k_T depends on the virtuality of the emitted photon, the `Photon:Q2max` cut is usually more restrictive unless a very small angle is used. This cut is only applied when the colliding beams are defined in their CM frame (`Beams:frameType=1`). Furthermore, in case of 2 → 1 processes with unresolved photons, the scattered beam particle kinematics is modified later in the event generation, to keep the mass of the intermediate particle intact, so an accurate rejection can be obtained only based on the final momenta of the scattered beam particles in the event record.

`parm` Photon:thetaBMax (`default = -1.0`; `maximum = 3.141593`)
As above but for side B.

`flag` Photon:sampleQ2 (`default = on`)
Determines whether the sampling for the photon virtuality is done. This has to be used when and Q^2-integrated photon flux is used. In this case the virtuality and the transverse momentum of the photon (and the recoiling particle) is set to zero, which strictly speaking is kinematically impossible. The error here is very small for the cases where the virtualities are negligible, however (e.g. photons from heavy ions).

#### MPIs with photons

The invariant mass of a gamma-gamma or gamma-hadron system from lepton or hadron beams will vary. Therefore, to generate MPIs and non-diffractive events in gamma-gamma and gamma-hadron collisions, the MPI framework is initialized with several values of W from `Photon:Wmin` to `Photon:Wmax`. The parameter values are then interpolated for the sampled W.